Subject: Re: bug#57293: 29.0.50; query-replace with Wdired skips symlink target

From: Michael Heerdegen <[email-masked]>
Date: Sun, 21 Aug 2022 02:47:16 +0200

Mike Kupfer <[email-masked]> writes:

> I expect query-replace to ask me about both the file foo and the symlink
> target foo.  That's what Emacs 28.1 does, and it's quite handy.
> Instead, query-replace asks me only about the file foo, ignoring the
> symlink target.

Thanks for the report, Mike.  See the new option
`wdired-search-replace-filenames' to turn off the new behavior.

Maybe turning this new behavior on by default was too much (Juri)?

BTW, shouldn't the "\M-sf" key prefix work in wdired?  And when
starting a search in a wdired mode buffer, a subsequent M-% doesn't
inherit the we-are-searching-filenames state from the search, only the
binding of `wdired-search-replace-filenames' counts.  If that worked, it
would allow to get the other query-replace behavior wrt filename
replacing without the need to touch the option.

Michael.